/**
 * 订单相关
 */
import moment = require("moment");
import { MEMBERLEVEL, MEMBERTYPE, ORDERSTATE } from "../../config/enum";
import { generateOrderId } from "../../tools/system";
import { eccEnumValue } from "../../util/verificationEnum";
import { addOneData } from "../../data/add";
import { TABLEENUM } from "../../data/models/model";
import { findToPage } from "../../data/select";


/**
 * 对内使用  创建一条订单
 * @param userId 会员id
 * @param unitName 单位名称
 * @param orderStartMs 订单开始时间
 * @param memberLv 会员等级 MEMBERLEVEL
 * @param memberType 会员类型 MEMBERTYPE
 * @param isFirst 是否首次缴费
 * @returns 
 */
export async function createOrder(userId:string, unitName:string, orderStartMs:number, memberLv:number, memberType:number, isFirst:boolean) {
    /**计算订单周期 */
    const EndMs = moment(orderStartMs).add(1, 'years').valueOf();
    /**订单id */
    const OrderId = generateOrderId(userId);
    /**计算会费 */
    let money = 0;
    if (memberLv == MEMBERLEVEL.专家会员) {

    } else {

    }
    let addInfo = {
        id:OrderId,
        orderCycleStart:orderStartMs,
        orderCycleEnd:EndMs,
        unitName,
        money,
        paymentMethod:0,
        memberId:userId,
        memberCategory:memberType,
        paymentNum:0,
        invoiceAdd:'',
        state:ORDERSTATE.未支付,
        isFirst
    };

    // await addOneData(TABLEENUM.订单表, addInfo);
    return true;
}


/**
 * 初始订单
 */
export async function firstOrderList({unitName, joinTime, memberType, orderState }) {
    let findParam:any = { isFirst:true };
    if (unitName) findParam.unitName = {"$regex":unitName};
    if (memberType) findParam.memberCategory = memberType;
    if (orderState) findParam.state = orderState;

    // await findToPage(TABLEENUM.订单表, findParam, ["unitName", ""])

}

/**
 * 已缴费名单
 */
export async function paidList({unit, joinTime, memberType }) {
    eccEnumValue("已缴费名单", "会员类型", MEMBERTYPE, memberType);
}
