

import * as officialWebsiteBiz from "../../biz/officialWebsite";

export const FirstName = '官网路由';
export const FirstRouter = '/officialwebsite';
export const Config = {
    "首页":[
        {
            apiName:"banner图",
            subUrl:'/banner', 
            param:[],
            bindBiz:officialWebsiteBiz.banner
        },
        {
            apiName:"内容",
            subUrl:'/homepage', 
            param:[],
            bindBiz:officialWebsiteBiz.homePage
        },
    ],
    "学会概况":[
        {
            apiName:"学会概况",
            subUrl:'/xuehuigaikuang', 
            param:[],
            bindBiz:officialWebsiteBiz.xueHuiGaiKuang
        },
        {
            apiName:"学会概况详情",
            subUrl:'/xuehuigaikuangxiangqing', 
            param:[],
            bindBiz:officialWebsiteBiz.xueHuiGaiKuangXiangQing
        },
        {
            apiName:"学会规章列表（更多按钮触发）",
            subUrl:'/xuehuiguizhang', 
            param:[
                {key:"pageNumber", type:"Number", desc:"当前页"},
            ],
            bindBiz:officialWebsiteBiz.guiZhangLieBiaoFenYe
        },
        {
            apiName:"学会规则详情",
            subUrl:'/xuehuiguizhangxiangqing', 
            param:[
                {key:"id", type:"String", desc:"规章列表下发的标识"},
            ],
            bindBiz:officialWebsiteBiz.guiZhangZhiDuXiangQing
        },
    ],
    "动态资讯":[
        {
            apiName:"动态资讯列表",
            subUrl:'/dongtaizixun', 
            param:[
                {key:"type", type:"Number", desc:"政策动向学会动态行业风采，参考公用接口"},
                {key:"pageNumber", type:"Number", desc:"当前页"},
            ],
            bindBiz:officialWebsiteBiz.dongTaiZiXun
        },
        {
            apiName:"文章详情",
            subUrl:'/wenzhangxiangqing', 
            param:[
                {key:"id", type:"String", desc:"动态资讯列表中的标识"},
            ],
            bindBiz:officialWebsiteBiz.wenZhangXiangQing
        }
    ],
    "品牌项目":[
        {
            apiName:"品牌项目banner",
            subUrl:'/pinpaixiangmubanner', 
            param:[],
            bindBiz:officialWebsiteBiz.pinPaiXiangMuBanner
        },
        {
            apiName:"品牌项目信息",
            subUrl:'/pinpaixiangmu', 
            param:[],
            bindBiz:officialWebsiteBiz.pinPaiXiangMu
        },
        {
            apiName:"学术研究列表",
            subUrl:'/xueshuyanjiu',
            param:[
                {key:"pageNumber", type:"Number", desc:"单前页"}
            ],
            bindBiz:officialWebsiteBiz.xueshuyanjiu
        },
        {
            apiName:"乡村振兴列表",
            subUrl:'/xiangcunzhenxing',
            param:[
                {key:"pageNumber", type:"Number", desc:"单前页"}
            ],
            bindBiz:officialWebsiteBiz.xiangCunZhenXing
        },
    ],
    "党建工作":[
        {
            apiName:"主题教育",
            subUrl:'/zhutijiaoyu',
            param:[],
            bindBiz:officialWebsiteBiz.zhuTiJiaoYu
        },
        {
            apiName:"学习园地",
            subUrl:'/xuexiyuandi',
            param:[
                {key:"type", type:"Number", desc:"类型"}
            ],
            bindBiz:officialWebsiteBiz.xueXiYuanDi
        },
        {
            apiName:"党建资源列表",
            subUrl:'/dangjianziyuan',
            param:[
                {key:"first", type:"Number", desc:"一级目录 参考公用接口"},
                {key:"secondary", type:"Number", desc:"二级目录 参考公用接口"},
                {key:"three", type:"Number", desc:"三级目录", isNull:true},
                {key:"pageNumber", type:"Number", desc:"单前页"}
            ],
            bindBiz:officialWebsiteBiz.dangJianZiYuan
        },
    ],
    "通知公告":[
        {
            apiName:"主题教育",
            subUrl:'/tongzhigonggao',
            param:[
                {key:"type", type:"Number", desc:"类型 参考公用组件"},
                {key:"pageNumber", type:"Number", desc:"单前页"}
            ],
            bindBiz:officialWebsiteBiz.tongZhiGongGao
        },
    ],
}